package com.lij.himeeter.common.filter;

import com.alibaba.fastjson2.filter.SimplePropertyPreFilter;

/**
 * <pre>
 *
 * 文件名 :  PropertyPreExcludeFilter
 * 创建时间 : 2024年12月30日 18:34
 *
 * 文件描述 : 排除JSON敏感属性
 *
 * </pre>
 *
 * @author Nobita
 * @version 1.0.0
 */

public class PropertyPreExcludeFilter extends SimplePropertyPreFilter {

    public PropertyPreExcludeFilter() {
    }

    public PropertyPreExcludeFilter addExcludes(String... filters) {
        for (int i = 0; i < filters.length; i++) {
            this.getExcludes().add(filters[i]);
        }
        return this;
    }
}
